Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## editor.model
Class Exit

    java.lang.Object
      editor.model.Exit

    public class Exit

extends java.lang.Object

This class will be used by the gui to store information about an exit created with the editor

Author:
  Frank Bruns

Constructor Summary
`Exit(java.lang.String name, java.lang.String bshName, java.lang.String x, java.lang.String y, java.lang.String width, java.lang.String height, java.lang.String newX, java.lang.String newY, java.lang.String destination)` Creates an exit object for data storage purposes for the editor

Method Summary
`java.lang.String` | `getBshName()` Returns the beanshell name
`java.lang.String` | `getDestination()` Returns the name of the destination location
`java.lang.String` | `getHeight()` Returns the height
`java.lang.String` | `getName()` Returns the name
`java.lang.String` | `getNewX()` Returns the x coordinate of the character after useing the exit
`java.lang.String` | `getNewY()` Returns the y coordinate of the character after useing the exit
`java.lang.String` | `getWidth()` Returns the width
`java.lang.String` | `getX()` Returns the x coordinate
`java.lang.String` | `getY()` Returns the y coordinate

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exit

    public Exit(java.lang.String name,
                java.lang.String bshName,
                java.lang.String x,
                java.lang.String y,
                java.lang.String width,
                java.lang.String height,
                java.lang.String newX,
                java.lang.String newY,
                java.lang.String destination)

  Creates an exit object for data storage purposes for the editor

  Parameters:
    `name` - exit name
    `bshName` - exit beanshell name
    `x` - x coordinate
    `y` - y coordinate
    `width` - exit width
    `height` - exit height
    `newX` - new x coordiate after using the exit
    `newY` - new y coordiate after using the exit
    `destination` - destination game location name

Method Detail

### getBshName

    public java.lang.String getBshName()

  Returns the beanshell name

  Returns:
    beanshell name

### getDestination

    public java.lang.String getDestination()

  Returns the name of the destination location

  Returns:
    name of the destination location

### getHeight

    public java.lang.String getHeight()

  Returns the height

  Returns:
    height

### getName

    public java.lang.String getName()

  Returns the name

  Returns:
    name

### getNewX

    public java.lang.String getNewX()

  Returns the x coordinate of the character after useing the exit

  Returns:
    x coordinate of the character after useing the exit

### getNewY

    public java.lang.String getNewY()

  Returns the y coordinate of the character after useing the exit

  Returns:
    y coordinate of the character after useing the exit

### getWidth

    public java.lang.String getWidth()

  Returns the width

  Returns:
    width

### getX

    public java.lang.String getX()

  Returns the x coordinate

  Returns:
    x coordinate

### getY

    public java.lang.String getY()

  Returns the y coordinate

  Returns:
    y coordinate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD